Subject: Resetting PCI-E devices after linux boot

From: Dan Wilson <[email-masked]>
Date: Thu, 25 Mar 2010 18:26:35 -0700

We are building a PCI-E device for use in an embedded system with an 
85xx processor.  One of our customers is adamant that linux PCI-E 
hot-swap support will not allow us to either bring the device up after 
linux boot (i.e., the PCI-E device must be present when linux scans for 
PCI-E devices at startup) or to reset the device once linux is up.  It 
was our impression that the PCI-E hot-swap support should allow for 
devices to appear after linux boot, be properly initialized, and then 
later be able to shut them down and bring them back up again.

Has anyone successfully used the PCI-E hot-swap capabilities in the 
linux kernel in a PPC 85xx environment?  Any known gotchas we need to be 
aware of?

Thanks in advance for your responses,

Dan.